package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.Trailer;
import de.humance.eco.profile.service.TrailerLocalServiceUtil;

/**
 * The extended model base implementation for the Trailer service. Represents a row in the &quot;Profile_Trailer&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link TrailerImpl}.
 * </p>
 *
 * @author Humance
 * @see TrailerImpl
 * @see de.humance.eco.profile.model.Trailer
 * @generated
 */
public abstract class TrailerBaseImpl extends TrailerModelImpl
    implements Trailer {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a trailer model instance should use the {@link Trailer} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            TrailerLocalServiceUtil.addTrailer(this);
        } else {
            TrailerLocalServiceUtil.updateTrailer(this);
        }
    }
}
